/*
 * generated by Xtext 2.27.0
 */
package tdt4250.ra.parser.antlr;

import com.google.inject.Inject;
import org.eclipse.xtext.parser.antlr.AbstractAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import tdt4250.ra.parser.antlr.internal.InternalRaDSL2022Parser;
import tdt4250.ra.services.RaDSL2022GrammarAccess;

public class RaDSL2022Parser extends AbstractAntlrParser {

	@Inject
	private RaDSL2022GrammarAccess grammarAccess;

	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	

	@Override
	protected InternalRaDSL2022Parser createParser(XtextTokenStream stream) {
		return new InternalRaDSL2022Parser(stream, getGrammarAccess());
	}

	@Override 
	protected String getDefaultRuleName() {
		return "Department";
	}

	public RaDSL2022GrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(RaDSL2022GrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
